Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: "Dr. Werner Fink" <[email-masked]>
Date: Thu, 22 Dec 2016 12:46:16 +0100

On Thu, Dec 22, 2016 at 09:35:14AM +0100, martin rudalics wrote:
> > The problem is that I currently miss the possibilty to check that
> > both (custom-set-face) do actual load and scale the same font file
> > to the same values ... without performing both (custom-set-face) I
> > mean here.  Similar there is no way I see to do this attribute/value
> > comparision in lisp/dynamic-setting.el for the currently used font
> > and the system as well as the custom font.
> 
> What are the "both (custom-set-face)"?  Can you give me an example?

That was

  (custom-set-faces '(default ((t (:family "Source Code Pro" :height 110 :weight normal :slant normal :width normal)))))
  (custom-set-faces '(default ((t (:family "Monospace" :height 110)))))

which in fact do show exactly the same font at the same attributes here.

Werner

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr